Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.blogclient
Interface BlogEntry

All Known Subinterfaces:
  BlogResource

All Known Implementing Classes:
  AtomEntry, AtomResource, BaseBlogEntry, MetaWeblogEntry, MetaWeblogResource

    public interface BlogEntry

Represents a single blog entry.

Nested Class Summary
`static class` | `BlogEntry.Category` Represents a weblog category
`static class` | `BlogEntry.Content` Represents blog entry content
`static class` | `BlogEntry.Person` Represents a blog author or contributor

Method Summary
`void` | `delete()` Delete this entry from blog server
`BlogEntry.Person` | `getAuthor()` Get author of this entry
`Blog` | `getBlog()` Blog is associated with a blog
`List` | `getCategories()` Get categories, a list of BlogEntry.Category objects
`BlogEntry.Content` | `getContent()` Get content of this blog entry
`boolean` | `getDraft()` Get draft status of this entry
`String` | `getId()` Get globally unique ID of this blog entry
`Date` | `getModificationDate()` Get update date of this entry
`String` | `getPermalink()` Permanent link to this entry (assigned by server)
`Date` | `getPublicationDate()` Set publish date of this entry
`String` | `getSummary()` Get summary of this blog entry
`String` | `getTitle()` Get title of this blog entry
`String` | `getToken()` Get token, which can be used to fetch the blog entry
`void` | `save()` Save this entry to it's collection.
`void` | `setAuthor(BlogEntry.Person author)` Set author of this entry
`void` | `setCategories(List categories)` Set categories, a list of BlogEntry.Category objects
`void` | `setContent(BlogEntry.Content content)` Set content of this blog entry
`void` | `setDraft(boolean draft)` Set draft status of this entry
`void` | `setModificationDate(Date date)` Set update date of this entry
`void` | `setPublicationDate(Date date)` Get publish date of this entry
`void` | `setSummary(String summary)` Set summary of this blog entry
`void` | `setTitle(String title)` Set title of this blog entry

Method Detail

### getToken

    String getToken()

  Get token, which can be used to fetch the blog entry

### save

    void save()
              throws BlogClientException

  Save this entry to it's collection. If this is a new entry and does not have a collection yet, then save() will save it to the primary collection.

  Throws:
    `BlogClientException`

### delete

    void delete()
                throws BlogClientException

  Delete this entry from blog server

  Throws:
    `BlogClientException`

### getPermalink

    String getPermalink()

  Permanent link to this entry (assigned by server)

### getBlog

    Blog getBlog()

  Blog is associated with a blog

### getCategories

    List getCategories()

  Get categories, a list of BlogEntry.Category objects

### setCategories

    void setCategories(List categories)

  Set categories, a list of BlogEntry.Category objects

### getId

    String getId()

  Get globally unique ID of this blog entry

### getTitle

    String getTitle()

  Get title of this blog entry

### setTitle

    void setTitle(String title)

  Set title of this blog entry

### getSummary

    String getSummary()

  Get summary of this blog entry

### setSummary

    void setSummary(String summary)

  Set summary of this blog entry

### getContent

    BlogEntry.Content getContent()

  Get content of this blog entry

### setContent

    void setContent(BlogEntry.Content content)

  Set content of this blog entry

### getDraft

    boolean getDraft()

  Get draft status of this entry

### setDraft

    void setDraft(boolean draft)

  Set draft status of this entry

### getAuthor

    BlogEntry.Person getAuthor()

  Get author of this entry

### setAuthor

    void setAuthor(BlogEntry.Person author)

  Set author of this entry

### getPublicationDate

    Date getPublicationDate()

  Set publish date of this entry

### setPublicationDate

    void setPublicationDate(Date date)

  Get publish date of this entry

### getModificationDate

    Date getModificationDate()

  Get update date of this entry

### setModificationDate

    void setModificationDate(Date date)

  Set update date of this entry

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD